Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.config
Class AbstractConfiguration.Primitive

    java.lang.Object
      net.jini.config.AbstractConfiguration.Primitive

Enclosing class:
  AbstractConfiguration

public static final class AbstractConfiguration.Primitive
extends Object

Represents the value of an entry with a primitive type. Subclasses of `AbstractConfiguration` that contain primitive entries should return instances of this class from their `getEntryInternal` methods.

Since:
  2.0

Constructor Summary
`AbstractConfiguration.Primitive(Object value)` Creates an object that represents a primitive value of the type associated with the specified primitive wrapper object.

Method Summary
`boolean` | `equals(Object obj)` Returns `true` if the argument is a `Primitive` for which the result of calling `getValue` is the same as the value for this instance, otherwise `false`.
`Class` | `getType()` Returns the primitive type of the value associated with this object.
`Object` | `getValue()` Returns the primitive value associated with this object, represented as a primitive wrapper instance.
`int` | `hashCode()` Returns a hash code value for this object.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractConfiguration.Primitive

    public AbstractConfiguration.Primitive(Object value)

  Creates an object that represents a primitive value of the type associated with the specified primitive wrapper object.

Parameters:
  `value` - the primitive wrapper object
Throws:
  `IllegalArgumentException` - if `value` is not an instance of a primitive wrapper class

Method Detail

### getValue

    public Object getValue()

  Returns the primitive value associated with this object, represented as a primitive wrapper instance.

  Returns:
    the value of this object, as a primitive wrapper instance

### getType

    public Class getType()

  Returns the primitive type of the value associated with this object.

  Returns:
    the primitive type of the value associated with this object

### toString

    public String toString()

  Returns a string representation of this object.

### equals

    public boolean equals(Object obj)

  Returns `true` if the argument is a `Primitive` for which the result of calling `getValue` is the same as the value for this instance, otherwise `false`.

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved